Everything is broken all the time still
author |
Steve Losh <steve@stevelosh.com> |
date |
Fri, 03 Jan 2020 13:30:55 -0500 |
parents |
b9806066f2a9
|
children |
005c4bb9b6e6
|
branches/tags |
(none) |
files |
bin/delete-fucked-screenshot bin/fucked-screenshot stumpwmrc |
Changes
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/delete-fucked-screenshot Fri Jan 03 13:30:55 2020 -0500
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+SS=`ls -1 ~/Dropbox/fucked-screenshots/*.png | sort -nr | head -1`
+test "$SS" != ""
+rm "$SS"
+echom "deleted $SS"
--- a/bin/fucked-screenshot Thu Jan 02 15:13:18 2020 -0500
+++ b/bin/fucked-screenshot Fri Jan 03 13:30:55 2020 -0500
@@ -3,3 +3,4 @@
set -euo pipefail
ls -1 ~/screenshots/*.png | sort -nr | head -1 | xargs cp -t ~/Dropbox/fucked-screenshots/
+echom "shit's fucked again"
--- a/stumpwmrc Thu Jan 02 15:13:18 2020 -0500
+++ b/stumpwmrc Fri Jan 03 13:30:55 2020 -0500
@@ -234,6 +234,9 @@
(defcommand save-fucked-screenshot () ()
(run-shell-command "fucked-screenshot"))
+(defcommand delete-fucked-screenshot () ()
+ (run-shell-command "delete-fucked-screenshot"))
+
;;;; Brightness ---------------------------------------------------------------
(defparameter *brightness-values* #(0 1 5 10 25 50 75 100))
@@ -483,6 +486,7 @@
("H-q" "exec lock-screen")
("H-y" "screenshot")
("H-f" "save-fucked-screenshot")
+ ("H-F" "delete-fucked-screenshot")
("H-r" "loadrc")
("H-V" "vlime"))